Function
readUntilWhitespace
Read characters from stream into buffer until Whitespace is encountered
readUntilWhitespace(TBuffer & buffer, RecordReader<TStream, TPass> & recordReader)
Include Headers
seqan/stream.h
Parameters

buffer | The buffer to write to Types: CharString, DnaString, or similar
recordReader | The RecordReader to read from. Types: RecordReader

Remarks
Whitespace is more than '' and '\t', see isspace
This function stops *on* the whitespace character. The whitespace is not written to buffer.
Return Values
0 if there was no error reading
non-zero value on errors, especially EOF_BEFORE_SUCCESS
Types: int, TokenizeResult
Member of
RecordReader
See Also
skipWhitespaces, TokenizeResult, isspace, skipUntilWhitespace
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58